<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/SXRServer/SXRServer.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.SXRServer.SXRServer</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../SXRServer.html" >SXRServer</a>
</div><div class="class-name">class SXRServer

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/SXRServer.py.html" target="detail">../Synopsis/SXRServer.py</a></div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis.SXRServer.SXRServer" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SXRServer.py.html#line58" ><img src="../../../src-py.png" alt="source code"/></a></div></div>   <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="cgi_url">cgi_url</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SXRServer.py.html#line64" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="src_url">src_url</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SXRServer.py.html#line65" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="src_dir">src_dir</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SXRServer.py.html#line66" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="data">data</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SXRServer.py.html#line68" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="index">index</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SXRServer.py.html#line69" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="template">template</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SXRServer.py.html#line75" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">root</span>, <span class="variable">cgi_url</span>, <span class="variable">src_url</span>, <span class="variable">template_file</span> = <span class="value">None</span>, <span class="variable">sxr_prefix</span> = <span class="value">'/sxr'</span>)  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis.SXRServer.SXRServer.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SXRServer.py.html#line60" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="ident_ref">ident_ref</a>(<span class="variable">self</span>, <span class="variable">file</span>, <span class="variable">line</span>, <span class="variable">scope</span>)  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis.SXRServer.SXRServer.ident_ref" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SXRServer.py.html#line78" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="file_ref">file_ref</a>(<span class="variable">self</span>, <span class="variable">file</span>, <span class="variable">name</span> = <span class="value">None</span>)  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis.SXRServer.SXRServer.file_ref" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SXRServer.py.html#line88" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="list_refs">list_refs</a>(<span class="variable">self</span>, <span class="variable">data</span>, <span class="variable">name</span>)  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis.SXRServer.SXRServer.list_refs" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SXRServer.py.html#line95" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="SXRServer.html#search_file" >search_file</a></span>(<span class="variable">self</span>, <span class="variable">pattern</span>)  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis.SXRServer.SXRServer.search_file" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SXRServer.py.html#line122" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate a file search listing.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="SXRServer.html#search_ident" >search_ident</a></span>(<span class="variable">self</span>, <span class="variable">name</span>, <span class="variable">qualified</span> = <span class="value">False</span>)  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis.SXRServer.SXRServer.search_ident" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SXRServer.py.html#line148" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate an identifier listing.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="search_file">search_file</a>(<span class="variable">self</span>, <span class="variable">pattern</span>)  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis.SXRServer.SXRServer.search_file" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SXRServer.py.html#line122" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate a file search listing.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="search_ident">search_ident</a>(<span class="variable">self</span>, <span class="variable">name</span>, <span class="variable">qualified</span> = <span class="value">False</span>)  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis.SXRServer.SXRServer.search_ident" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SXRServer.py.html#line148" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate an identifier listing.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:56 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
